<script>
    (function($, window){
        $(document).ready(function() {
            $("select[rel=ciudad]").change(function(e) {
                e.preventDefault();
                
                var $tarea = $(this).attr("data-tarea");
                var $target = $(this).attr("data-target");
                $($target).addClass("loading");
                $.ajax({
                    url: 'index.php?option=com_my_component&controller=tarifas',
                    method: 'get',
                    data: {
                        'task': $tarea,
                        'id': $(this).val(),
                        'format': 'raw'
                    },
                    success: function (res){
                        $($target).removeClass("loading");
                        $($target).html(res);
                    }
                });
            });
        });
    })(jQuery, window);
</script>
<div class="container">
    <div class="row">
        <div class="col-sm-12">
            <h2>Destinos nacionales</h2>
            Selecciona tu dirección de origen 
            <select rel="ciudad" data-target="#nacionales" data-tarea="mostrarDestinosNal">
                {% for c in ciudades %}
                    <option value="{{ c.id }}">{{ c.nombre }}</option>
                {% endfor %}
            </select>
        </div>
    </div>
    <div id="nacionales">
        {% include 'tarifas/destinos.twig' with {'destinos': nacionales, 'ciudad': ciudad} %}
    </div>
        
    <div class="row">
        <div class="col-sm-12">
            <h2>Destinos internacionales</h2>
            Selecciona tu dirección de origen 
            <select rel="ciudad" data-target="#internacionales" data-tarea="mostrarDestinosInt">
                {% for c in ciudades %}
                    <option value="{{ c.id }}">{{ c.nombre }}</option>
                {% endfor %}
            </select>
        </div>
    </div>
    <div id="internacionales">
        {% include 'tarifas/destinos.twig' with {'destinos': internacionales, 'ciudad': ciudad} %}
    </div>
</div>
